# Generated by Django 4.2.3 on 2023-07-29 11:43

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Canton',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField()),
                ('geometry', django.contrib.gis.db.models.fields.PolygonField(srid=4326)),
            ],
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField()),
                ('geometry', django.contrib.gis.db.models.fields.PolygonField(srid=4326)),
            ],
        ),
        migrations.CreateModel(
            name='District',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField()),
                ('geometry', django.contrib.gis.db.models.fields.PolygonField(srid=4326)),
                ('region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geo.region')),
            ],
        ),
        migrations.CreateModel(
            name='Contour',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('geometry', django.contrib.gis.db.models.fields.PolygonField(srid=4326)),
                ('canton', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geo.canton')),
            ],
        ),
        migrations.AddField(
            model_name='canton',
            name='district',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geo.district'),
        ),
    ]
